Prices

Create a price

Creates a price.

POST
/prices

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Price payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.sandbox.billingrails.com/v1/prices" \  -H "Content-Type: application/json" \  -d '{    "product_id": "prd_IhMUl3rrZ3",    "model": "flat",    "currency": "USD",    "amount": 5000,    "interval": {      "frequency": 1,      "unit": "month"    },    "bill_timing": "advance"  }'
{
  "price": {
    "object": "price",
    "id": "prc_IhMUl3rrZ3",
    "model": "flat",
    "currency": "USD",
    "amount": 5000,
    "interval": {
      "frequency": 1,
      "unit": "month"
    },
    "bill_timing": "advance",
    "created_at": "2025-02-14T17:33:40.843Z"
  }
}